AnsiConsoleUrlMappingsRenderer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping.reporting
[Groovy] Class AnsiConsoleUrlMappingsRenderer

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.reporting.AnsiConsoleUrlMappingsRenderer

All Implemented Interfaces:
  UrlMappingsRenderer

    @groovy.transform.CompileStatic
    class AnsiConsoleUrlMappingsRenderer
    extends java.lang.Object

Renders URL mappings to the console

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary
`static java.lang.String` | `DEFAULT_ACTION`

Property Summary
`boolean` | `isAnsiEnabled`
`java.io.PrintStream` | `targetStream`

Constructor Summary
`AnsiConsoleUrlMappingsRenderer(java.io.PrintStream targetStream)`
`AnsiConsoleUrlMappingsRenderer()`

Method Summary
`java.lang.String` | `bold(java.lang.String text)`
`java.lang.String` | `endBar()`
`java.lang.String` | `error(java.lang.String errorCode)`
`protected java.lang.String` | `establishUrlPattern(UrlMapping urlMapping, boolean withAnsi = isAnsiEnabled, int padding = -1)`
`static java.lang.String` | `getPadding(java.lang.String padding, int length)`
`java.lang.String` | `header(java.lang.String text)`
`java.lang.String` | `header(java.lang.String text, java.lang.String description)`
`protected java.lang.String` | `padAnsi(java.lang.String ansiString, java.lang.String nonAnsiString, int padding)`
`void` | `render(java.util.List urlMappings)`
`java.lang.String` | `variable(java.lang.String name, boolean withAnsi = isAnsiEnabled)`
`java.lang.String` | `yellowBar()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEFAULT_ACTION

    public static final java.lang.String DEFAULT_ACTION

Property Detail

### isAnsiEnabled

    boolean isAnsiEnabled

### targetStream

    java.io.PrintStream targetStream

Constructor Detail

### AnsiConsoleUrlMappingsRenderer

    AnsiConsoleUrlMappingsRenderer(java.io.PrintStream targetStream)

### AnsiConsoleUrlMappingsRenderer

    AnsiConsoleUrlMappingsRenderer()

Method Detail

### bold

    java.lang.String bold(java.lang.String text)

### endBar

    java.lang.String endBar()

### error

    java.lang.String error(java.lang.String errorCode)

### establishUrlPattern

    protected java.lang.String establishUrlPattern(UrlMapping urlMapping, boolean withAnsi = isAnsiEnabled, int padding = -1)

### getPadding

    static java.lang.String getPadding(java.lang.String padding, int length)

### header

    java.lang.String header(java.lang.String text)

### header

    java.lang.String header(java.lang.String text, java.lang.String description)

### padAnsi

    protected java.lang.String padAnsi(java.lang.String ansiString, java.lang.String nonAnsiString, int padding)

### render

    @java.lang.Override
    void render(java.util.List urlMappings)

### variable

    java.lang.String variable(java.lang.String name, boolean withAnsi = isAnsiEnabled)

### yellowBar

    java.lang.String yellowBar()

Groovy Documentation